SuSE 10 Security Update : bind (ZYPP Patch Number 4932)

Critical Nessus Plugin ID 31450


The remote SuSE 10 host is missing a security-related patch.


Certain input data could trigger a buffer overflow in the 'inet_network' function of libbind. Applications that use this function could therefore potentially be crashed or exploited to execute arbitrary code. Bind itself is not affected though.


Apply ZYPP patch number 4932.

See Also

Plugin Details

Severity: Critical

ID: 31450

File Name: suse_bind-4932.nasl

Version: $Revision: 1.14 $

Type: local

Agent: unix

Published: 2008/03/13

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/01/21

Reference Information

CVE: CVE-2008-0122

CWE: 189